Name:           clutter-gst
Version:        1.3.8
Release:        1%{?dist}
Summary:        ClutterMedia interface to GStreamer

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.clutter-project.org
Source0:        http://www.clutter-project.org/sources/%{name}/1.3/%{name}-%{version}.tar.bz2

BuildRequires:  clutter-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gstreamer-devel 
BuildRequires:  gstreamer-plugins-base-devel

%description
This package contains a video texture actor and an audio player object for
use with clutter

%package devel
Summary:        clutter-gst development environment
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       clutter-devel
Requires:       gstreamer-devel
Requires:       gstreamer-plugins-base-devel
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the
clutter-gst

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libclutter-gst-*.so.0
%{_libdir}/libclutter-gst-*.so.0.*
%{_libdir}/girepository-1.0/ClutterGst-1.0.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/pkgconfig/clutter-gst*
%{_libdir}/libclutter-gst-*.so
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gir-1.0/ClutterGst-1.0.gir

%changelog
* Wed Apr  6 2011 Peter Robinson <pbrobinson@gmail.com> 1.3.8-1
- New upstream 1.3.8 release

* Thu Mar 17 2011 Bastien Nocera <bnocera@redhat.com> 1.3.6-1
- Update to 1.3.6

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 10 2011 Peter Robinson <pbrobinson@gmail.com> 1.3.4-1
- New upstream 1.3.4 release

* Wed Nov 17 2010 Michel Salim <salimma@fedoraproject.org> - 1.3.2-2
- Update Source0 location
- Build against new Clutter stack

* Tue Sep 21 2010 Peter Robinson <pbrobinson@gmail.com> 1.3.2-1
- New upstream 1.3.2 release

* Sun Aug 21 2010 Peter Robinson <pbrobinson@gmail.com> 1.2.0-1
- New upstream 1.2.0 stable release

* Fri Mar  5 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.0-1
- New upstream 1.0.0 stable release
- Enable introspection support

* Wed Jul 29 2009 Bastien Nocera <bnocera@redhat.com> 0.10.0-1
- Update to 0.10.0

* Sat Jul 25 2009 Bastien Nocera <bnocera@redhat.com> 0.9.0-1
- Update to 0.9.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild


* Fri Jan 23 2009 Allisson Azevedo <allisson@gmail.com> 0.8.0-3
- Rebuild

* Fri Sep 12 2008 Allisson Azevedo <allisson@gmail.com> 0.8.0-2
- Rebuild against new gstreamer-devel

* Sat Sep  6 2008 Allisson Azevedo <allisson@gmail.com> 0.8.0-1
- Update to 0.8.0

* Fri Feb 22 2008 Allisson Azevedo <allisson@gmail.com> 0.6.1-1
- Update to 0.6.1

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.0-2
- Autorebuild for GCC 4.3

* Mon Sep  3 2007 Allisson Azevedo <allisson@gmail.com> 0.4.0-1
- Update to 0.4.0

* Sun May 13 2007 Allisson Azevedo <allisson@gmail.com> 0.1.1-2
- INSTALL removed from docs
- fix make install for keeping timestamps
- changed license for LGPL
- Fix requires/buildrequires

* Fri Apr 13 2007 Allisson Azevedo <allisson@gmail.com> 0.1.1-1
- Initial RPM release
